---
lang: en
title: 'API docs: repository.repositorycomponent'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/repository
permalink: /doc/en/lb4/apidocs.repository.repositorycomponent.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [RepositoryComponent](./repository.repositorycomponent.md)

## RepositoryComponent interface

This interface describes additional Component properties allowing components to contribute Repository-related artifacts.

**Signature:**

```typescript
export interface RepositoryComponent 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [models?](./repository.repositorycomponent.models.md) |  | [Class](./repository.class.md)<!-- -->&lt;[Model](./repository.model.md)<!-- -->&gt;\[\] | _(Optional)_ An optional list of Model classes to bind for dependency injection via <code>app.model()</code> API. |
|  [repositories?](./repository.repositorycomponent.repositories.md) |  | [Class](./repository.class.md)<!-- -->&lt;[Repository](./repository.repository.md)<!-- -->&lt;[Model](./repository.model.md)<!-- -->&gt;&gt;\[\] | _(Optional)_ An optional list of Repository classes to bind for dependency injection via <code>app.repository()</code> API. |


